libcoap 4.3.2rc2

Data Fields
coap_address_t Struct Reference

Multi-purpose address abstraction. More...

`#include <coap_address.h>`

## Data Fields
socklen_t | size
| size of addr More...
union {
struct sockaddr sa
struct sockaddr_in sin
struct sockaddr_in6 sin6
struct coap_sockaddr_un cun
} | addr

## Detailed Description

Multi-purpose address abstraction.

Definition at line 109 of file coap_address.h.

## Field Documentation

## ◆

union { ... } coap_address_t::addr

## ◆ cun

struct coap_sockaddr_un coap_address_t::cun

Definition at line 115 of file coap_address.h.

## ◆ sa

struct sockaddr coap_address_t::sa

Definition at line 112 of file coap_address.h.

## ◆ sin

struct sockaddr_in coap_address_t::sin

Definition at line 113 of file coap_address.h.

## ◆ sin6

struct sockaddr_in6 coap_address_t::sin6

Definition at line 114 of file coap_address.h.

## ◆ size

socklen_t coap_address_t::size

size of addr

Definition at line 110 of file coap_address.h.

The documentation for this struct was generated from the following file:

- coap_address.h